### POST /docs Source: https://demo.kanbanize.com/openapi/json Create a new doc. ```markdown ### Request Body **Content-Type:** application/json - **title** (string) (required): The title of the doc. - **content** (string): The content of the doc. - **is_important** (integer (int32)): Set to `1` to mark the doc as important, or `0` otherwise. ("0"|"1") - **for_welcome** (integer (int32)): Set to `1` to show the doc on the welcome screen, or `0` otherwise. ("0"|"1") - **is_archived** (integer (int32)): Set to `1` to create the doc as archived, or `0` otherwise. ("0"|"1") - **is_indexed_for_ai** (integer (int32)): Set to `1` to index the doc for AI, or `0` otherwise. Omit to use account default. ("0"|"1") - **parent_doc_id** (integer (int32)): The ID of the parent doc, if this doc should be a child of another doc. - **position** (integer (int32)): The position of the doc in its parent's list. - **show_in_main_doc_list** (integer (int32)): Set to `1` to show the doc in the main doc list, or `0` to hide it. ("0"|"1") ### Responses #### 200 - A successful response. - **data** (object) - **doc_id** (integer (int32)): The unique identifier of the created doc. - **parent_doc_id** (integer (int32)): The ID of the parent doc, if any. - **title** (string): The title of the doc. - **content** (string): The content of the doc. - **is_archived** (integer (int32)): Indicates whether the doc is archived. ("0"|"1") - **is_important** (integer (int32)): Indicates whether the doc is marked as important. ("0"|"1") - **position** (integer (int32)): The position of the doc in its parent's list. - **show_in_main_doc_list** (integer (int32)): Indicates whether the doc is shown in the main doc list. ("0"|"1") - **everyone_can_edit** (integer (int32)): Indicates whether everyone with access can edit the doc. ("0"|"1") - **everyone_can_comment** (integer (int32)): Indicates whether everyone with access can comment on the doc. ("0"|"1") - **everyone_can_view** (integer (int32)): Indicates whether everyone with access can view the doc. ("0"|"1") - **author_id** (integer (int32)): The ID of the user who created the doc. - **created_at** (string (date-time)): The date and time when the doc was created. - **updated_at** (string (date-time)): The date and time when the doc was last updated. - **size** (integer (int32)): The size of the doc in bytes. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X POST "https://demo.kanbanize.com/api/v2/docs" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "content": "", "is_important": "0", "for_welcome": "0", "is_archived": "0", "is_indexed_for_ai": "0", "parent_doc_id": "0", "position": "0", "show_in_main_doc_list": "1" }' ``` ``` -------------------------------- ### GET /internalAnnouncements Source: https://demo.kanbanize.com/openapi/json Announcements are account-wide notifications that allow Owners to communicate important events and news to users within the account. Retrieve a list of all internal announcements. You can filter the results by various parameters, such as announcement ids, active status, popover display, start and end times, and more. ```markdown ### Parameters - **announcement_ids** (array, query, optional): A list of internal announcement IDs to retrieve. - **is_active** (integer (int32), query, optional): When set to 1 you will only get internal announcements which are started and not expired. When set to 0 you will get expired or announcements which are not yet started. - **is_popover** (integer (int32), query, optional): When set to 1 you will only get internal announcements which are displayed as a popover. - **start_time_from** (string (date-time), query, optional): The earliest start date and time from which to retrieve results. - **start_time_to** (string (date-time), query, optional): The latest start date and time from which to retrieve results. - **end_time_from** (string (date-time), query, optional): The earliest end date and time from which to retrieve results. - **end_time_to** (string (date-time), query, optional): The latest end date and time from which to retrieve results. - **fields** (array, query, optional): A list of fields to include in the response. ### Responses #### 200 - A successful response. - **data** (array (InternalAnnouncement)): A list of internal announcements. Array items: - **announcement_id** (integer (int32)): The unique identifier of the internal announcement. - **title** (string): The title of the internal announcement. - **description** (string): The content of the internal announcement. - **cover_image_link** (string): The URL of the cover image for the internal announcement. If not set, a default cover image should be used. - **for_everyone** (integer (int32)): Indicates whether the internal announcement is visible to all users. - **for_owners** (integer (int32)): Indicates whether the internal announcement is visible only to owners. - **for_workspace_managers** (integer (int32)): Indicates whether the internal announcement is visible only to workspace managers. - **for_role_ids** (array (integer (int32))): A list of role IDs that the internal announcement is visible to. - **for_team_ids** (array (integer (int32))): A list of team IDs that the internal announcement is visible to. - **is_popover** (integer (int32)): Indicates whether the internal announcement should be displayed as a popover. - **start_time** (string (date-time)): The date and time when the internal announcement becomes active. - **end_time** (string (date-time)): The date and time when the internal announcement expires. If not set, the announcement remains active indefinitely. - **is_active** (integer (int32)): Indicates whether the internal announcement is currently active. - **recurring_definition** (object) - **expression** (string): A cron expression for advanced scheduling. (example: "? * WED *") #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/internalAnnouncements?announcement_ids=value&is_active=0&is_popover=0&start_time_from=2023-01-01T00:00:00Z&start_time_to=2023-01-01T00:00:00Z&end_time_from=2023-01-01T00:00:00Z&end_time_to=2023-01-01T00:00:00Z&fields=value" ``` ``` -------------------------------- ### GET /tags/{tag_id}/boards Source: https://demo.kanbanize.com/openapi/json Get a list of boards that include the specified tag. You can get a list of all tags using the [tags endpoint](#/operations/getTags). ```markdown ### Responses #### 200 - A successful response. - **data** (array (object)): A list of boards. Array items: - **board_id** (integer (int32)): The unique identifier of the board. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/tags/{tag_id}/boards" ``` ``` -------------------------------- ### POST /boards Source: https://demo.kanbanize.com/openapi/json Create a new board. ```markdown ### Request Body **Content-Type:** application/json - **workspace_id** (integer (int32)) (required): The ID of the workspace to which the board belongs. - **name** (string) (required): The name of the board. - **description** (string): The description of the board. - **type** (integer (int32)): The type of the board. A value of `1` indicates a **Kanban board**, while a value of `2` indicates an **AI Canvas**. ("1"|"2") ### Responses #### 200 - A successful response. - **data** (object): Board data. - **board_id** (integer (int32)): The unique identifier of the board. - **main_maestro_instance_id** (integer (int32)): The unique identifier of the primary Whiteboard for the board. Applicable **only** to **AI Canvas** boards and automatically generated upon their creation. - **workspace_id** (integer (int32)): The ID of the workspace to which the board belongs. - **is_archived** (integer (int32)): Controls whether the board is archived. ("0"|"1") - **name** (string): The name of the board. - **description** (string): The description of the board. - **type** (integer (int32)): The type of the board. A value of `1` indicates a **Kanban board**, while a value of `2` indicates an **AI Canvas**. ("1"|"2") - **revision** (integer (int32)): The revision number of the board. It denotes the number of times edits were made to the board structure. A single revision can include multiple edits, if they were done at the same time. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X POST "https://demo.kanbanize.com/api/v2/boards" \ -H "Content-Type: application/json" \ -d '{ "workspace_id": "0", "name": "string", "description": "string", "type": "1" }' ``` ``` -------------------------------- ### GET /boards/{board_id}/workflows Source: https://demo.kanbanize.com/openapi/json Retrieves a list of workflows for the specified board with their relevant details. There are three types of workflows: - **Cards Workflow** - The Cards Workflow represents the team process. This is the place where all tasks are visualized as Kanban cards. In the Cards workflow, you can create new cards that are either independent or linked to an Initiative. - **Initiatives Workflow** - The Initiatives Workflow is the place where you can create Initiatives and track their automated progress. An initiative is a bigger task, epic, or a project, which you have to break down into smaller work items (cards). - **Timeline Workflow** - The Timeline Workflow allows you to visualize your Initiatives in a linear calendar view. The Initiative shows duration, progress and project delay. **All boards** have 1 cards and 1 initiatives workflow **by default**. You can find a list of all boards by using the [boards endpoint](#operations/getBoards#Request). ```markdown ### Responses #### 200 - A successful response. - **data** (array (union)) Array items: - **workflow_id** (integer (int32)): The unique identifier of the workflow. - **type** (integer (int32)): The type of the workflow. A value of `0` represents a **Cards workflow**, a value of `1` represents an **Initiative Workflow** and a value of `2` represents a **Timeline Workflow**. ("0"|"1"|"2") - **position** (integer (int32)): The position of the workflow. A value of `0` indicates the topmost workflow. - **is_enabled** (integer (int32)): Determines whether the workflow is enabled. ("0"|"1") - **is_collapsible** (integer (int32)): Indicates if the workflow is collapsible. **All** workflows are collapsible by default. ("0"|"1") - **name** (string): The name of the workflow. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/boards/{board_id}/workflows" ``` ``` -------------------------------- ### GET /boards/{board_id}/stickers Source: https://demo.kanbanize.com/openapi/json Get a list of the stickers available on a board. You can get a list of all stickers by calling the [stickers endpoint](#/operations/getStickers#Request). ```markdown ### Responses #### 200 - A successful response. - **data** (array (object)): A list of stickers. Array items: - **sticker_id** (integer (int32)): The unique identifier of the sticker. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/boards/{board_id}/stickers" ``` ``` -------------------------------- ### GET /milestones/{milestone_id}/boards Source: https://demo.kanbanize.com/openapi/json Get a list of boards that include the specified milestone. You can get a list of all milestones using the [milestones endpoint](#/operations/getMilestones#Request). ```markdown ### Responses #### 200 - A successful response. - **data** (array (object)): A list of boards. Array items: - **board_id** (integer (int32)): The unique identifier of the board. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/milestones/{milestone_id}/boards" ``` ``` -------------------------------- ### GET /boards/{board_id}/baiPrompts Source: https://demo.kanbanize.com/openapi/json Returns a list of all Businessmap AI (BAI) prompts for a board. There are **three** types of prompts: - **Comments and Emails** - Prompts that allow the generation of text content for a comment or email - **Subtasks** - Prompts that generate text for comments or email content associated with an existing card. - **Summaries** - Prompts that generate a concise summary of a card's contents, such as its title, description, and other relevant details. ```markdown ### Responses #### 200 - A successful response. - **data** (array (BoardBaiPrompt)): A list of BAI prompts. Array items: - **prompt_id** (integer (int32)): The unique identifier of a BAI prompt. - **board_id** (integer (int32)): The unique identifier of the board where the BAI prompt is used. - **type** (integer (int32)): The type of the BAI prompt. **Comments and Emails**, **Subtasks** and **Summaries** prompts correspond respectively to the values `1`, `2` and `3`. ("1"|"2"|"3") - **color** (string): The color of the BAI prompt in hexadecimal format. - **icon_type** (integer (int32)): The type of the icon associated with the BAI prompt. `0` represents a system icon, while `1` represents a user-defined icon. ("0"|"1") - **icon_id** (integer (int32)): The unique identifier for the icon associated with the BAI prompt. - **name** (string): The **unique** name assigned to the BAI prompt. - **context** (string): Describes the general situation in which the AI assistant will operate. - **topics** (string): Contains a list of additional important topics to include in the generated content. This is available **only** for **Comments and Emails** and **Subtasks** BAI prompts. - **suggest_missing_topics** (integer (int32)): Indicates whether the AI model can suggesttopics that may be missing from the generated content. ("0"|"1") - **fields** (array (object)): An array of objects that specifies the **card properties** (e.g, Title, Description, Subtasks) to be sent to the AI model for analysis. The **order** of the objects reflects the **priority**, with the most important properties listed first. Each object defines a specific field type and name. Array items: - **field_type** (string (plain|custom)): Determines the type of field being sent for analysis to the AI model. Default fields like **Title**, **Description**, etc., are of type `plain`, while custom fields are marked as `custom`. ("plain"|"custom") - **field_name** (string): For fields of type `plain`, the name is stated explicitly (e.g., **Title**, **Description**). For fields of type `custom`, the field is represented by the [ID of the custom field](#/operations/getCustomFields#Request). - **author_user_id** (integer (int32)): The ID of the user who created the BAI prompt. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/boards/{board_id}/baiPrompts" ``` ``` -------------------------------- ### GET /boards/{board_id}/teams Source: https://demo.kanbanize.com/openapi/json Get a list of the teams assigned to a specified board. You can get a list of all teams by calling the [teams endpoint](#/operations/getTeams#Request). ```markdown ### Responses #### 200 - A successful response. - **data** (array (object)): A list of teams and their roles. Array items: - **team_id** (integer (int32)): The unique identifier of the team. - **role_id** (integer (int32)): The unique identifier of the role assigned to the team on the board. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/boards/{board_id}/teams" ``` ``` -------------------------------- ### GET /blockReasons/{reason_id}/boards Source: https://demo.kanbanize.com/openapi/json Get a list of board IDs where the specified block reason is applicable. A list of all block reasons can be retrieved by calling the [blockReasons endpoint](#/operations/getBlockReasons#Request). The **Waiting on us** and **Waiting on others** block reasons exist by default for **every** account. As such, they are available for **all** boards (unless specified otherwise) along with the **Generic Blocker**. > ### Info > > The **Generic Blocker** is **not** included in this list. To determine if a board allows its use, you can call the [currentStructure endpoint](#/paths/boards-board_id--currentStructure/get#Request), which returns the `allow_generic_blocker` parameter. ```markdown ### Responses #### 200 - A successful response. - **data** (array (object)): Contains the IDs of boards where the block reason is applicable. Array items: - **board_id** (integer (int32)): The ID of a board where the block reason is applicable. #### 400 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 401 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 403 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 404 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 429 - response **ErrorResponse** - **error** (object) (required): Information about a client error. - **code** (string) (required): A unique 4-character code associated with the error. - **message** (string) (required): A description of the error. - **reference** (string) (required): A reference that you can use if you need to contact customer support about the error. - **details** (object): Details specific to the error. Such as the values that caused it. #### 500 - response The request failed due to an internal server error. #### 503 - response The service is temporarily unavailable. ### Example Usage ```bash curl -X GET "https://demo.kanbanize.com/api/v2/blockReasons/{reason_id}/boards" ``` ```